
Core - Bug # 23465

Status: Closed Priority: Should have
Author: Björn Pedersen Category: Database API
Created: 2010-08-27 Assigned To:
Updated: 2015-06-15 Due date:
TYPO3 Version: 4.5
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: db compare in install tool and ext-manager reports no-op changes e.g. for int columns
Description

Just one example line from the install tool:

ALTER TABLE tx_frm2_conferences_Attendee CHANGE tstamp tstamp INT UNSIGNED default 0;
Current value: int(10) unsigned default '0'

mysql-server-5.1.42

The comparison for default values should strip the quotes for int-columns.

(issue imported from #M15577)

Related issues:
related to Core - Bug # 16276: Database Analyser - Compare proposes "ALTER ..... Closed 2006-06-23
related to Core - Bug # 19029: Database Analyser: "Compare with $TCA" display... Resolved 2008-06-27

History
#1 - 2011-01-11 21:16 - Ernesto Baschny

This probably won't be changed in 4.5.0 final (lack of time / manpower), but since it affects all released versions, a fix might come in at a later point.
Thanks for your contribution!

#2 - 2011-01-12 08:26 - Björn Pedersen

Yes, it is not an urgent change at all.

#3 - 2012-01-03 11:09 - Björn Pedersen
- Target version deleted (0)

Related to http://forge.typo3.org/issues/15772, see also the discussion in typo3.dev 'Database compare and database modification inconsistencies'.

#4 - 2014-12-14 19:01 - Alexander Opitz
- Description updated
- Status changed from New to Needs Feedback
- Is Regression set to No
http://forge.typo3.org/issues/15772


Hi,

does the problem still exists within newer versions of TYPO3 CMS (6.2.9)?

#5 - 2015-06-15 10:22 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No feedback within the last 90 days => closing this issue.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.
